
set echo on

CREATE TYPE demo_queue_payload_type AS OBJECT
( message VARCHAR2(4000) );
/


BEGIN
   DBMS_AQADM.CREATE_QUEUE_TABLE (
      queue_table        => 'demo_queue_table',
      queue_payload_type => 'demo_queue_payload_type'
      );
END;
/


BEGIN

   DBMS_AQADM.CREATE_QUEUE (
      queue_name  => 'demo_queue',
      queue_table => 'demo_queue_table'
      );

   DBMS_AQADM.START_QUEUE (
      queue_name => 'demo_queue'
      );

END;
/

