
set echo on
set serveroutput on

SELECT COUNT(*)
FROM   aq$demo_queue_table;

SELECT user_data
FROM   aq$demo_queue_table;

DECLARE

   r_dequeue_options    DBMS_AQ.DEQUEUE_OPTIONS_T;
   r_message_properties DBMS_AQ.MESSAGE_PROPERTIES_T;
   v_message_handle     RAW(16);
   o_payload            demo_queue_payload_type;

BEGIN

   r_dequeue_options.dequeue_mode := DBMS_AQ.BROWSE;

   DBMS_AQ.DEQUEUE(
      queue_name         => 'demo_queue',
      dequeue_options    => r_dequeue_options,
      message_properties => r_message_properties,
      payload            => o_payload,
      msgid              => v_message_handle
      );

   DBMS_OUTPUT.PUT_LINE(
      '*** Browsed message is [' || o_payload.message || '] ***'
      );

END;
/

SELECT user_data
FROM   aq$demo_queue_table;

